(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     31830,        736]
NotebookOptionsPosition[     30996,        704]
NotebookOutlinePosition[     31355,        720]
CellTagsIndexPosition[     31312,        717]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Superposition of Two Traveling Waves\
\>", "Section",
 CellChangeTimes->{{3.6806354947964907`*^9, 3.680635500386375*^9}, {
  3.6806368166307783`*^9, 3.680636833718515*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"t", ",", "x", ",", "k", ",", " ", "\[Omega]"}], "]"}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"fun", "[", 
     RowBox[{
     "t_", ",", " ", "x_", ",", " ", "k1_", ",", " ", "\[Omega]1_", ",", " ", 
      "k2_", ",", " ", "\[Omega]2_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"k1", " ", "x"}], " ", "-", " ", 
       RowBox[{"\[Omega]1", " ", "t"}]}], "]"}], "+", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"k2", " ", "x"}], " ", "-", " ", 
       RowBox[{"\[Omega]2", " ", "t"}]}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"k1", " ", "=", " ", 
    RowBox[{"k2", " ", "=", " ", "7"}]}], "\n", 
   RowBox[{"\[Omega]1", " ", "=", " ", 
    RowBox[{"\[Omega]2", " ", "=", " ", "5"}]}], "\[IndentingNewLine]", 
   RowBox[{"amp", " ", "=", " ", "0"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "amp"}], ")"}], "/", "2"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"k1", " ", "x"}], " ", "-", "  ", 
             RowBox[{"\[Omega]1", " ", "t"}]}], "]"}]}], "+", " ", "6"}], ",",
          "  ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "amp"}], ")"}], "/", "2"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"k2", " ", "x"}], " ", "-", "  ", 
             RowBox[{"\[Omega]2", " ", "t"}]}], "]"}]}], "+", "3.5"}], ",", 
         "  ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "amp"}], ")"}], "/", "2"}], "  ", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"k1", " ", "x"}], " ", "-", "  ", 
             RowBox[{"\[Omega]1", " ", "t"}]}], "]"}]}], "+", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "amp"}], ")"}], "/", "2"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"k2", " ", "x"}], " ", "-", "  ", 
             RowBox[{"\[Omega]2", " ", "t"}]}], "]"}]}]}]}], "}"}], ",", " ", 
       
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "6"}], "Pi"}], ",", 
         RowBox[{"6", " ", "Pi"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2.5"}], ",", "8"}], "}"}]}], ",", " ", 
       RowBox[{"PlotPoints", "\[Rule]", "200"}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", 
        RowBox[{"1", "/", "2.5"}]}], ",", " ", 
       RowBox[{"ImageSize", "\[Rule]", " ", "Large"}], ",", " ", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}]}], ",", " ", 
       RowBox[{"Frame", "\[Rule]", "False"}], ",", " ", 
       RowBox[{"Axes", "\[Rule]", "False"}], ",", " ", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Darker", "[", "Cyan", "]"}], ",", " ", "Blue", ",", " ", 
          "Red"}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<   Wave 1\>\"", ",", "16", ",", " ", 
       RowBox[{"Darker", "[", "Cyan", "]"}]}], "]"}], ",", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"k1", ",", " ", "7", ",", " ", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<                  Wave Number  k1 =\>\"", ",", "13"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"-", "10"}], ",", "10", ",", ".1"}], "}"}], "]"}], ",", 
        " ", 
        RowBox[{"Spacer", "[", "5", "]"}], ",", 
        RowBox[{"Style", "[", " ", 
         RowBox[{
          RowBox[{"Dynamic", "[", "k1", "]"}], ",", "13"}], "]"}]}], "}"}], 
      "]"}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Omega]1", ",", " ", "5", ",", 
             RowBox[{"Style", "[", " ", 
              RowBox[{
              "\"\<          Angular Frequency  \[Omega]1 =\>\"", ",", "13"}],
               "]"}]}], "}"}], ",", 
           RowBox[{"-", "10"}], ",", "10", ",", " ", ".1"}], "}"}], "]"}], 
        ",", " ", 
        RowBox[{"Spacer", "[", "5", "]"}], ",", " ", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "\[Omega]1", "]"}], ",", "13"}], "]"}]}], 
       "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<  \>\"", ",", "16"}], "]"}], ",", " ", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<   Wave 2\>\"", ",", "16", ",", " ", "Blue"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"k2", ",", " ", "7", ",", " ", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<                  Wave Number  k2 =\>\"", ",", "13"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"-", "10"}], ",", "10", ",", ".1"}], "}"}], "]"}], ",", 
        " ", 
        RowBox[{"Spacer", "[", "5", "]"}], ",", 
        RowBox[{"Style", "[", " ", 
         RowBox[{
          RowBox[{"Dynamic", "[", "k2", "]"}], ",", "13"}], "]"}]}], "}"}], 
      "]"}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Omega]2", ",", " ", "5", ",", 
             RowBox[{"Style", "[", " ", 
              RowBox[{
              "\"\<          Angular Frequency  \[Omega]2 =\>\"", ",", "13"}],
               "]"}]}], "}"}], ",", 
           RowBox[{"-", "10"}], ",", "10", ",", " ", ".1"}], "}"}], "]"}], 
        ",", " ", 
        RowBox[{"Spacer", "[", "5", "]"}], ",", " ", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "\[Omega]2", "]"}], ",", "13"}], "]"}]}], 
       "}"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<  \>\"", ",", "16"}], "]"}], ",", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<  \>\"", ",", "16"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"amp", ",", "0", ",", " ", 
             RowBox[{"Style", "[", 
              RowBox[{"\"\<   Relative Amplitude         \>\"", ",", "15"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"-", "1"}], ",", "1", ",", ".1"}], "}"}], "]"}], ",", " ", 
        
        RowBox[{"Spacer", "[", "5", "]"}], ",", 
        RowBox[{"Style", "[", " ", 
         RowBox[{
          RowBox[{"Dynamic", "[", "amp", "]"}], ",", "13"}], "]"}]}], "}"}], 
      "]"}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", "1", ",", 
             RowBox[{"Style", "[", " ", 
              RowBox[{
              "\"\<   Time                        t = \>\"", ",", "15"}], 
              "]"}]}], "}"}], ",", "0", ",", " ", "30", ",", 
           RowBox[{
            RowBox[{"Slider", "[", 
             RowBox[{"##", ",", 
              RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "]"}], 
            "&"}]}], "}"}], "]"}], ",", 
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", "1", ",", "\"\<\>\""}], "}"}], ",", "0", ",", 
           "30", ",", 
           RowBox[{
            RowBox[{"Animator", "[", 
             RowBox[{"##", ",", 
              RowBox[{"AnimationRunning", "\[Rule]", "True"}], ",", 
              RowBox[{"AnimationRate", "\[Rule]", "1"}], ",", 
              RowBox[{"AppearanceElements", "\[Rule]", 
               RowBox[{"{", "\"\<PlayPauseButton\>\"", "}"}]}]}], "]"}], 
            "&"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", " ", 
     RowBox[{"ContentSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"600", ",", "250"}], "}"}]}], ",", " ", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.680547752096799*^9, 3.680547803891024*^9}, {
   3.6805478626856947`*^9, 3.680547869142412*^9}, 3.680547959188808*^9, {
   3.680547993869108*^9, 3.680548043632696*^9}, 3.680548109809367*^9, {
   3.6805481886585827`*^9, 3.6805482188414907`*^9}, {3.6805482945685863`*^9, 
   3.680548313983591*^9}, {3.680548811784616*^9, 3.6805488785716887`*^9}, {
   3.680548928703821*^9, 3.680548929094638*^9}, {3.680548980938615*^9, 
   3.680549012062921*^9}, {3.680549118165011*^9, 3.6805491241867*^9}, {
   3.680549172091586*^9, 3.68054923899509*^9}, {3.6805492784120626`*^9, 
   3.680549314107304*^9}, {3.680549415088511*^9, 3.680549446329927*^9}, {
   3.680549478289446*^9, 3.680549492449304*^9}, {3.680549524042955*^9, 
   3.6805495325831623`*^9}, {3.680549683072373*^9, 3.680549686642836*^9}, {
   3.680549802566989*^9, 3.68054982695506*^9}, {3.680549896258788*^9, 
   3.680549915758597*^9}, {3.680549977925065*^9, 3.6805500017115173`*^9}, {
   3.680550522680184*^9, 3.680550543019725*^9}, 3.6805523479844418`*^9, {
   3.680552391325676*^9, 3.680552407916347*^9}, {3.6805527550029*^9, 
   3.680552763495104*^9}, {3.680552844974901*^9, 3.680552881236532*^9}, {
   3.680552927819158*^9, 3.6805529682688932`*^9}, {3.68062215640289*^9, 
   3.6806221593050327`*^9}, {3.680629756758561*^9, 3.6806297598109703`*^9}, {
   3.680629873986298*^9, 3.6806301903363934`*^9}, {3.680630229670155*^9, 
   3.680630266048481*^9}, 3.6806326000221043`*^9, 3.680632794506528*^9, 
   3.68063547054248*^9, {3.680636140636402*^9, 3.680636152965412*^9}, {
   3.680636423120534*^9, 3.680636532644661*^9}, {3.6806366722993298`*^9, 
   3.680636753134115*^9}, {3.680983523470141*^9, 3.680983654772488*^9}, {
   3.680983712785182*^9, 3.680983719791565*^9}, {3.680983752300918*^9, 
   3.680983794342209*^9}, {3.680984365897545*^9, 3.680984385573024*^9}, {
   3.680984415608509*^9, 3.680984445763442*^9}, {3.680984488585017*^9, 
   3.6809845044421043`*^9}, {3.6809845865694647`*^9, 3.680984595712578*^9}, {
   3.680984690028966*^9, 3.680984794817409*^9}, {3.6809848587034807`*^9, 
   3.6809848841728897`*^9}, {3.680985015470096*^9, 3.680985054527919*^9}, {
   3.680985151140513*^9, 3.680985151975025*^9}, {3.6809852023538837`*^9, 
   3.6809852306773853`*^9}, {3.680985262215445*^9, 3.680985269311273*^9}, {
   3.680985302971773*^9, 3.680985363045952*^9}, {3.68098540546776*^9, 
   3.680985434922011*^9}, {3.680985759170444*^9, 3.680985765483735*^9}, {
   3.6809858247049294`*^9, 3.680985838176058*^9}, 3.680986146050599*^9, {
   3.6811319488279753`*^9, 3.681131979717905*^9}, {3.681132051438271*^9, 
   3.68113208206744*^9}, {3.681132704637477*^9, 3.681132708189983*^9}, {
   3.681132754299494*^9, 3.681132756986668*^9}, {3.681132799896517*^9, 
   3.681132938777491*^9}, {3.681132974944591*^9, 3.681132975605138*^9}, {
   3.6811337534718437`*^9, 3.681133776034541*^9}, {3.681133991895947*^9, 
   3.681134031043652*^9}, 3.681134071275712*^9, {3.681134116193131*^9, 
   3.681134142849916*^9}, {3.681134744590487*^9, 3.681134777514886*^9}, {
   3.681134863990995*^9, 3.6811348759111958`*^9}, {3.6811528764121428`*^9, 
   3.681152890672574*^9}, {3.6811529217993183`*^9, 3.681152937710178*^9}, {
   3.681153075855926*^9, 3.681153118109519*^9}, {3.681153149896475*^9, 
   3.681153164231153*^9}, {3.6811533893392563`*^9, 3.6811534078935223`*^9}, {
   3.681153465803589*^9, 3.681153495495585*^9}, {3.681153704834796*^9, 
   3.681153705234288*^9}, {3.681153740514387*^9, 3.681153758611146*^9}, {
   3.6811552995031013`*^9, 3.681155344818145*^9}, {3.6811560602838507`*^9, 
   3.681156120934041*^9}, {3.6811569445192347`*^9, 3.681157196573244*^9}}],

Cell[BoxData["7"], "Output",
 CellChangeTimes->{
  3.680983614625284*^9, {3.680983644716426*^9, 3.6809836590979233`*^9}, 
   3.68098372670656*^9, 3.680983758280958*^9, 3.680983799985145*^9, 
   3.680984454459695*^9, 3.680984510160543*^9, 3.68098459835555*^9, {
   3.680984708781522*^9, 3.680984763054923*^9}, 3.6809848023204203`*^9, {
   3.6809848610684433`*^9, 3.680984887079817*^9}, 3.680985021260062*^9, 
   3.680985058041901*^9, 3.680985153804207*^9, {3.6809852110799007`*^9, 
   3.680985232149589*^9}, 3.680985273757621*^9, {3.680985306541939*^9, 
   3.6809853650078382`*^9}, {3.680985407839075*^9, 3.680985436911099*^9}, 
   3.680985845295478*^9, 3.680986148072578*^9, {3.681132064729517*^9, 
   3.681132089363147*^9}, 3.681132710623845*^9, 3.681132809664776*^9, 
   3.6811328439583673`*^9, {3.6811328797026043`*^9, 3.6811329419171753`*^9}, 
   3.681132979595318*^9, 3.681133650759441*^9, {3.6811337630016813`*^9, 
   3.681133777374292*^9}, {3.68113400591252*^9, 3.681134032951482*^9}, 
   3.681134072399208*^9, {3.681134118387372*^9, 3.681134148030014*^9}, 
   3.6811348182831783`*^9, 3.681134887538549*^9, 3.6811534172170362`*^9, 
   3.681153500699862*^9, 3.6811537074030113`*^9, 3.681153760807781*^9, {
   3.681155334576573*^9, 3.6811553468037643`*^9}, 3.681156062218712*^9, {
   3.681156095578115*^9, 3.681156122499338*^9}, {3.681156994341522*^9, 
   3.681157022381814*^9}, {3.681157074473884*^9, 3.68115708288105*^9}, {
   3.681157113639668*^9, 3.681157197641458*^9}}],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{
  3.680983614625284*^9, {3.680983644716426*^9, 3.6809836590979233`*^9}, 
   3.68098372670656*^9, 3.680983758280958*^9, 3.680983799985145*^9, 
   3.680984454459695*^9, 3.680984510160543*^9, 3.68098459835555*^9, {
   3.680984708781522*^9, 3.680984763054923*^9}, 3.6809848023204203`*^9, {
   3.6809848610684433`*^9, 3.680984887079817*^9}, 3.680985021260062*^9, 
   3.680985058041901*^9, 3.680985153804207*^9, {3.6809852110799007`*^9, 
   3.680985232149589*^9}, 3.680985273757621*^9, {3.680985306541939*^9, 
   3.6809853650078382`*^9}, {3.680985407839075*^9, 3.680985436911099*^9}, 
   3.680985845295478*^9, 3.680986148072578*^9, {3.681132064729517*^9, 
   3.681132089363147*^9}, 3.681132710623845*^9, 3.681132809664776*^9, 
   3.6811328439583673`*^9, {3.6811328797026043`*^9, 3.6811329419171753`*^9}, 
   3.681132979595318*^9, 3.681133650759441*^9, {3.6811337630016813`*^9, 
   3.681133777374292*^9}, {3.68113400591252*^9, 3.681134032951482*^9}, 
   3.681134072399208*^9, {3.681134118387372*^9, 3.681134148030014*^9}, 
   3.6811348182831783`*^9, 3.681134887538549*^9, 3.6811534172170362`*^9, 
   3.681153500699862*^9, 3.6811537074030113`*^9, 3.681153760807781*^9, {
   3.681155334576573*^9, 3.6811553468037643`*^9}, 3.681156062218712*^9, {
   3.681156095578115*^9, 3.681156122499338*^9}, {3.681156994341522*^9, 
   3.681157022381814*^9}, {3.681157074473884*^9, 3.68115708288105*^9}, {
   3.681157113639668*^9, 3.681157197642622*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.680983614625284*^9, {3.680983644716426*^9, 3.6809836590979233`*^9}, 
   3.68098372670656*^9, 3.680983758280958*^9, 3.680983799985145*^9, 
   3.680984454459695*^9, 3.680984510160543*^9, 3.68098459835555*^9, {
   3.680984708781522*^9, 3.680984763054923*^9}, 3.6809848023204203`*^9, {
   3.6809848610684433`*^9, 3.680984887079817*^9}, 3.680985021260062*^9, 
   3.680985058041901*^9, 3.680985153804207*^9, {3.6809852110799007`*^9, 
   3.680985232149589*^9}, 3.680985273757621*^9, {3.680985306541939*^9, 
   3.6809853650078382`*^9}, {3.680985407839075*^9, 3.680985436911099*^9}, 
   3.680985845295478*^9, 3.680986148072578*^9, {3.681132064729517*^9, 
   3.681132089363147*^9}, 3.681132710623845*^9, 3.681132809664776*^9, 
   3.6811328439583673`*^9, {3.6811328797026043`*^9, 3.6811329419171753`*^9}, 
   3.681132979595318*^9, 3.681133650759441*^9, {3.6811337630016813`*^9, 
   3.681133777374292*^9}, {3.68113400591252*^9, 3.681134032951482*^9}, 
   3.681134072399208*^9, {3.681134118387372*^9, 3.681134148030014*^9}, 
   3.6811348182831783`*^9, 3.681134887538549*^9, 3.6811534172170362`*^9, 
   3.681153500699862*^9, 3.6811537074030113`*^9, 3.681153760807781*^9, {
   3.681155334576573*^9, 3.6811553468037643`*^9}, 3.681156062218712*^9, {
   3.681156095578115*^9, 3.681156122499338*^9}, {3.681156994341522*^9, 
   3.681157022381814*^9}, {3.681157074473884*^9, 3.68115708288105*^9}, {
   3.681157113639668*^9, 3.681157197643512*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`amp$$ = 0., $CellContext`k1$$ = 
    7, $CellContext`k2$$ = 3.9000000000000004`, $CellContext`t$$ = 
    11.8, $CellContext`\[Omega]1$$ = 5, $CellContext`\[Omega]2$$ = 
    4.800000000000001, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["   Wave 1", 16, 
        RGBColor[0, 
         Rational[2, 3], 
         Rational[2, 3]]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`k1$$], 7, 
       Style["                  Wave Number  k1 =", 13]}, -10, 10, 0.1}, {
      Hold[
       Row[{
         Manipulate`Place[1], 
         Spacer[5], 
         Style[
          Dynamic[$CellContext`k1$$], 13]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Omega]1$$], 5, 
       Style["          Angular Frequency  \[Omega]1 =", 13]}, -10, 10, 0.1}, {
      Hold[
       Row[{
         Manipulate`Place[2], 
         Spacer[5], 
         Style[
          Dynamic[$CellContext`\[Omega]1$$], 13]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["  ", 16]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["   Wave 2", 16, 
        RGBColor[0, 0, 1]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`k2$$], 7, 
       Style["                  Wave Number  k2 =", 13]}, -10, 10, 0.1}, {
      Hold[
       Row[{
         Manipulate`Place[3], 
         Spacer[5], 
         Style[
          Dynamic[$CellContext`k2$$], 13]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Omega]2$$], 5, 
       Style["          Angular Frequency  \[Omega]2 =", 13]}, -10, 10, 0.1}, {
      Hold[
       Row[{
         Manipulate`Place[4], 
         Spacer[5], 
         Style[
          Dynamic[$CellContext`\[Omega]2$$], 13]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["  ", 16]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["  ", 16]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`amp$$], 0, 
       Style["   Relative Amplitude         ", 15]}, -1, 1, 0.1}, {
      Hold[
       Row[{
         Manipulate`Place[5], 
         Spacer[5], 
         Style[
          Dynamic[$CellContext`amp$$], 13]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`t$$], 1, 
       Style["   Time                        t = ", 15]}, 0, 30, Slider[
       SlotSequence[1], Appearance -> "Labeled"]& }, {{
       Hold[$CellContext`t$$], 1, ""}, 0, 30, Animator[
       SlotSequence[1], AnimationRunning -> True, AnimationRate -> 1, 
       AppearanceElements -> {"PlayPauseButton"}]& }, {
      Hold[
       Row[{
         Manipulate`Place[6], 
         Manipulate`Place[7]}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {576., {113., 117.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`k1$712167$$ = 0, $CellContext`\[Omega]1$712168$$ = 
    0, $CellContext`k2$712169$$ = 0, $CellContext`\[Omega]2$712170$$ = 
    0, $CellContext`amp$712171$$ = 0, $CellContext`t$712172$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`amp$$ = 0, $CellContext`k1$$ = 
        7, $CellContext`k2$$ = 7, $CellContext`t$$ = 
        1, $CellContext`\[Omega]1$$ = 5, $CellContext`\[Omega]2$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`k1$$, $CellContext`k1$712167$$, 0], 
        Hold[$CellContext`\[Omega]1$$, $CellContext`\[Omega]1$712168$$, 0], 
        Hold[$CellContext`k2$$, $CellContext`k2$712169$$, 0], 
        Hold[$CellContext`\[Omega]2$$, $CellContext`\[Omega]2$712170$$, 0], 
        Hold[$CellContext`amp$$, $CellContext`amp$712171$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$712172$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{((1 - $CellContext`amp$$)/2) 
          Sin[$CellContext`k1$$ $CellContext`x - $CellContext`\[Omega]1$$ \
$CellContext`t$$] + 
         6, ((1 + $CellContext`amp$$)/2) 
          Sin[$CellContext`k2$$ $CellContext`x - $CellContext`\[Omega]2$$ \
$CellContext`t$$] + 
         3.5, ((1 - $CellContext`amp$$)/2) 
          Sin[$CellContext`k1$$ $CellContext`x - $CellContext`\[Omega]1$$ \
$CellContext`t$$] + ((1 + $CellContext`amp$$)/2) 
          Sin[$CellContext`k2$$ $CellContext`x - $CellContext`\[Omega]2$$ \
$CellContext`t$$]}, {$CellContext`x, (-6) Pi, 6 Pi}, PlotRange -> {-2.5, 8}, 
        PlotPoints -> 200, AspectRatio -> 1/2.5, ImageSize -> Large, 
        AxesLabel -> {$CellContext`x, $CellContext`y}, Frame -> False, Axes -> 
        False, PlotStyle -> {
          Darker[Cyan], Blue, Red}], "Specifications" :> {
        Style["   Wave 1", 16, 
         RGBColor[0, 
          Rational[2, 3], 
          Rational[2, 3]]], {{$CellContext`k1$$, 7, 
          Style["                  Wave Number  k1 =", 13]}, -10, 10, 0.1, 
         ControlPlacement -> 1}, 
        Row[{
          Manipulate`Place[1], 
          Spacer[5], 
          Style[
           Dynamic[$CellContext`k1$$], 13]}], {{$CellContext`\[Omega]1$$, 5, 
          Style["          Angular Frequency  \[Omega]1 =", 13]}, -10, 10, 
         0.1, ControlPlacement -> 2}, 
        Row[{
          Manipulate`Place[2], 
          Spacer[5], 
          Style[
           Dynamic[$CellContext`\[Omega]1$$], 13]}], 
        Style["  ", 16], 
        Style["   Wave 2", 16, 
         RGBColor[0, 0, 1]], {{$CellContext`k2$$, 7, 
          Style["                  Wave Number  k2 =", 13]}, -10, 10, 0.1, 
         ControlPlacement -> 3}, 
        Row[{
          Manipulate`Place[3], 
          Spacer[5], 
          Style[
           Dynamic[$CellContext`k2$$], 13]}], {{$CellContext`\[Omega]2$$, 5, 
          Style["          Angular Frequency  \[Omega]2 =", 13]}, -10, 10, 
         0.1, ControlPlacement -> 4}, 
        Row[{
          Manipulate`Place[4], 
          Spacer[5], 
          Style[
           Dynamic[$CellContext`\[Omega]2$$], 13]}], 
        Style["  ", 16], 
        Style["  ", 16], {{$CellContext`amp$$, 0, 
          Style["   Relative Amplitude         ", 15]}, -1, 1, 0.1, 
         ControlPlacement -> 5}, 
        Row[{
          Manipulate`Place[5], 
          Spacer[5], 
          Style[
           Dynamic[$CellContext`amp$$], 13]}], {{$CellContext`t$$, 1, 
          Style["   Time                        t = ", 15]}, 0, 30, Slider[
          SlotSequence[1], Appearance -> "Labeled"]& , ControlPlacement -> 
         6}, {{$CellContext`t$$, 1, ""}, 0, 30, Animator[
          SlotSequence[1], AnimationRunning -> True, AnimationRate -> 1, 
          AppearanceElements -> {"PlayPauseButton"}]& , ControlPlacement -> 
         7}, 
        Row[{
          Manipulate`Place[6], 
          Manipulate`Place[7]}]}, "Options" :> {ContentSize -> {600, 250}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{614., {265., 270.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`amp$$ = 0, $CellContext`k1$$ = 
       7, $CellContext`\[Omega]1$$ = 5, $CellContext`k2$$ = 
       7, $CellContext`\[Omega]2$$ = 5}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.680983614625284*^9, {3.680983644716426*^9, 3.6809836590979233`*^9}, 
   3.68098372670656*^9, 3.680983758280958*^9, 3.680983799985145*^9, 
   3.680984454459695*^9, 3.680984510160543*^9, 3.68098459835555*^9, {
   3.680984708781522*^9, 3.680984763054923*^9}, 3.6809848023204203`*^9, {
   3.6809848610684433`*^9, 3.680984887079817*^9}, 3.680985021260062*^9, 
   3.680985058041901*^9, 3.680985153804207*^9, {3.6809852110799007`*^9, 
   3.680985232149589*^9}, 3.680985273757621*^9, {3.680985306541939*^9, 
   3.6809853650078382`*^9}, {3.680985407839075*^9, 3.680985436911099*^9}, 
   3.680985845295478*^9, 3.680986148072578*^9, {3.681132064729517*^9, 
   3.681132089363147*^9}, 3.681132710623845*^9, 3.681132809664776*^9, 
   3.6811328439583673`*^9, {3.6811328797026043`*^9, 3.6811329419171753`*^9}, 
   3.681132979595318*^9, 3.681133650759441*^9, {3.6811337630016813`*^9, 
   3.681133777374292*^9}, {3.68113400591252*^9, 3.681134032951482*^9}, 
   3.681134072399208*^9, {3.681134118387372*^9, 3.681134148030014*^9}, 
   3.6811348182831783`*^9, 3.681134887538549*^9, 3.6811534172170362`*^9, 
   3.681153500699862*^9, 3.6811537074030113`*^9, 3.681153760807781*^9, {
   3.681155334576573*^9, 3.6811553468037643`*^9}, 3.681156062218712*^9, {
   3.681156095578115*^9, 3.681156122499338*^9}, {3.681156994341522*^9, 
   3.681157022381814*^9}, {3.681157074473884*^9, 3.68115708288105*^9}, {
   3.681157113639668*^9, 3.6811571977511883`*^9}}]
}, {5}]],

Cell[TextData[{
 StyleBox["Animation of two plane waves in superposition:   ",
  FontSize->16],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", "(", 
     RowBox[{"x", ",", "t"}], ")"}], "=", 
    RowBox[{
     SubscriptBox["A", "1"], 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{
        SubscriptBox["k", "1"], "x"}], "-", 
       RowBox[{
        SubscriptBox["\[Omega]", "1"], "t"}]}], "]"}]}]}], TraditionalForm]],
  FontSize->16],
 StyleBox[" + ",
  FontSize->16],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["A", "2"], 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{
       SubscriptBox["k", "2"], "x"}], "-", 
      RowBox[{
       SubscriptBox["\[Omega]", "2"], "t"}]}], "]"}]}], TraditionalForm]],
  FontSize->16],
 "\n\n",
 StyleBox["Directions:",
  FontColor->GrayLevel[0]]
}], "Text",
 CellChangeTimes->{{3.680635554018609*^9, 3.680635598654377*^9}, {
   3.680635629586314*^9, 3.680635631729664*^9}, {3.680635823276353*^9, 
   3.6806358516642447`*^9}, 3.6806360070644217`*^9, 3.6806362691470633`*^9, 
   3.6806363351425323`*^9, {3.680636933822885*^9, 3.680636991678638*^9}, {
   3.681147860434548*^9, 3.6811478607342243`*^9}, {3.681148631411004*^9, 
   3.681148636213369*^9}, {3.68115271378439*^9, 3.681152717447158*^9}, {
   3.681153970528241*^9, 3.681153978371525*^9}, {3.681154020006591*^9, 
   3.6811540409956284`*^9}, {3.681154092296331*^9, 3.6811540966326714`*^9}, {
   3.681154168741016*^9, 3.6811541718105717`*^9}}],

Cell[CellGroupData[{

Cell["\<\
Move sliders to adjust the frequency and spatial wave number for each wave.  \
Note:  0 is in the center, so the sliders allow negative values of k and \
\[Omega].\
\>", "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.6806359862311*^9}, {
  3.68063700702451*^9, 3.68063706096911*^9}, {3.68115427009967*^9, 
  3.6811542701063337`*^9}}],

Cell[TextData[{
 "The Relative Amplitude slider adjusts from -1 to +1. When the slider is at \
the far LEFT, the individual amplitudes are ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox["A", "1"], "=", "1"}]]],
 "  and  ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox["A", "2"], "=", "0"}]]],
 ".  When the slider is at the far RIGHT, the amplitudes are  ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox["A", "1"], "=", "0"}]]],
 "  and  ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox["A", "2"], "=", "1"}]]],
 ".  When the slider is in the MIDDLE,  ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox["A", "1"], "=", 
   RowBox[{
    SubscriptBox["A", "2"], "=", 
    RowBox[{"1", "/", "2."}]}]}]]],
 "  "
}], "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.6806359862311*^9}, {
  3.68063700702451*^9, 3.68063706096911*^9}, {3.68115427009967*^9, 
  3.6811543086721497`*^9}, {3.681154340398303*^9, 3.681154354291731*^9}, {
  3.681156252061645*^9, 3.681156549343696*^9}, {3.681156612469104*^9, 
  3.6811568649413548`*^9}, {3.681157260287888*^9, 3.681157307059874*^9}, {
  3.681157342295362*^9, 3.681157434131236*^9}}],

Cell["\<\
Click the \[OpenCurlyDoubleQuote]+\[OpenCurlyDoubleQuote] at the end of a \
given slider to enter exact values.\
\>", "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.6806359862311*^9}, {
  3.68063700702451*^9, 3.680637091984682*^9}}],

Cell["\<\
Press play by the time slider to animate if it doesn\[CloseCurlyQuote]t start \
automatically\
\>", "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.680635912982881*^9}, {
  3.680636094137185*^9, 3.6806361015756893`*^9}, {3.681135018308168*^9, 
  3.681135049332749*^9}, {3.68113508605525*^9, 3.68113509174564*^9}}],

Cell["\<\
Pressing pause allows you to drag the time slider forward and backward in time\
\>", "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.680635912982881*^9}, {
  3.680636094137185*^9, 3.6806361015756893`*^9}, {3.681135018308168*^9, 
  3.681135049332749*^9}, {3.68113508605525*^9, 3.681135123778515*^9}}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.680635527392137*^9}]
}, Open  ]]
},
WindowSize->{1038, 1085},
WindowMargins->{{602, Automatic}, {Automatic, 55}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 182, 4, 80, "Section"],
Cell[CellGroupData[{
Cell[786, 30, 12515, 282, 505, "Input"],
Cell[13304, 314, 1479, 21, 28, "Output"],
Cell[14786, 337, 1479, 21, 28, "Output"],
Cell[16268, 360, 1479, 21, 28, "Output"],
Cell[17750, 383, 9269, 202, 586, "Output"]
}, {5}]],
Cell[27031, 588, 1473, 42, 73, "Text"],
Cell[CellGroupData[{
Cell[28529, 634, 348, 7, 45, "Item"],
Cell[28880, 643, 1102, 32, 45, "Item"],
Cell[29985, 677, 247, 5, 28, "Item"],
Cell[30235, 684, 327, 6, 28, "Item"],
Cell[30565, 692, 313, 5, 28, "Item"]
}, Open  ]],
Cell[30893, 700, 87, 1, 46, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
