(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     17182,        407]
NotebookOptionsPosition[     16436,        377]
NotebookOutlinePosition[     16794,        393]
CellTagsIndexPosition[     16751,        390]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Traveling Wave", "Section",
 CellChangeTimes->{{3.6806354947964907`*^9, 3.680635500386375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"t", ",", "x", ",", "k", ",", " ", "\[Omega]"}], "]"}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"fun", "[", 
     RowBox[{"t_", ",", " ", "x_", ",", " ", "k_", ",", " ", "\[Omega]_"}], 
     "]"}], ":=", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"k", " ", "x"}], " ", "-", " ", 
      RowBox[{"\[Omega]", " ", "t"}]}], "]"}]}], "\n", 
   RowBox[{"k", " ", "=", " ", "4"}], "\n", 
   RowBox[{"\[Omega]", " ", "=", " ", "1"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"k", " ", "x"}], " ", "-", " ", 
         RowBox[{"\[Omega]", " ", "t"}]}], "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"-", "4"}], "Pi"}], ",", 
         RowBox[{"4", " ", "Pi"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", " ", 
       RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", 
        RowBox[{"1", "/", "5"}]}], ",", " ", 
       RowBox[{"ImageSize", "\[Rule]", " ", "Large"}], ",", " ", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"k", ",", " ", "4", ",", " ", 
             RowBox[{"Style", "[", 
              RowBox[{
              "\"\<                  Wave Number  k =\>\"", ",", "13"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"-", "10"}], ",", "10", ",", ".1"}], "}"}], "]"}], ",", 
        " ", 
        RowBox[{"Spacer", "[", "5", "]"}], ",", 
        RowBox[{"Style", "[", " ", 
         RowBox[{
          RowBox[{"Dynamic", "[", "k", "]"}], ",", "13"}], "]"}]}], "}"}], 
      "]"}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Omega]", ",", " ", "1", ",", 
             RowBox[{"Style", "[", " ", 
              RowBox[{
              "\"\<          Angular Frequency  \[Omega] =\>\"", ",", "13"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"-", "10"}], ",", "10", ",", " ", ".1"}], "}"}], "]"}], 
        ",", " ", 
        RowBox[{"Spacer", "[", "5", "]"}], ",", " ", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "\[Omega]", "]"}], ",", "13"}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"Row", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", "1", ",", 
             RowBox[{"Style", "[", " ", 
              RowBox[{
              "\"\<                                 time t = \>\"", ",", 
               "13"}], "]"}]}], "}"}], ",", "0", ",", " ", "30", ",", 
           RowBox[{
            RowBox[{"Slider", "[", 
             RowBox[{"##", ",", 
              RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "]"}], 
            "&"}]}], "}"}], "]"}], ",", 
        RowBox[{"Control", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", "1", ",", "\"\<\>\""}], "}"}], ",", "0", ",", 
           "30", ",", 
           RowBox[{
            RowBox[{"Animator", "[", 
             RowBox[{"##", ",", 
              RowBox[{"AnimationRunning", "\[Rule]", "True"}], ",", 
              RowBox[{"AnimationRate", "\[Rule]", "2"}], ",", 
              RowBox[{"AppearanceElements", "\[Rule]", 
               RowBox[{"{", "\"\<PlayPauseButton\>\"", "}"}]}]}], "]"}], 
            "&"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", " ", 
     RowBox[{"ContentSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"600", ",", "160"}], "}"}]}], ",", " ", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.680547752096799*^9, 3.680547803891024*^9}, {
   3.6805478626856947`*^9, 3.680547869142412*^9}, 3.680547959188808*^9, {
   3.680547993869108*^9, 3.680548043632696*^9}, 3.680548109809367*^9, {
   3.6805481886585827`*^9, 3.6805482188414907`*^9}, {3.6805482945685863`*^9, 
   3.680548313983591*^9}, {3.680548811784616*^9, 3.6805488785716887`*^9}, {
   3.680548928703821*^9, 3.680548929094638*^9}, {3.680548980938615*^9, 
   3.680549012062921*^9}, {3.680549118165011*^9, 3.6805491241867*^9}, {
   3.680549172091586*^9, 3.68054923899509*^9}, {3.6805492784120626`*^9, 
   3.680549314107304*^9}, {3.680549415088511*^9, 3.680549446329927*^9}, {
   3.680549478289446*^9, 3.680549492449304*^9}, {3.680549524042955*^9, 
   3.6805495325831623`*^9}, {3.680549683072373*^9, 3.680549686642836*^9}, {
   3.680549802566989*^9, 3.68054982695506*^9}, {3.680549896258788*^9, 
   3.680549915758597*^9}, {3.680549977925065*^9, 3.6805500017115173`*^9}, {
   3.680550522680184*^9, 3.680550543019725*^9}, 3.6805523479844418`*^9, {
   3.680552391325676*^9, 3.680552407916347*^9}, {3.6805527550029*^9, 
   3.680552763495104*^9}, {3.680552844974901*^9, 3.680552881236532*^9}, {
   3.680552927819158*^9, 3.6805529682688932`*^9}, {3.68062215640289*^9, 
   3.6806221593050327`*^9}, {3.680629756758561*^9, 3.6806297598109703`*^9}, {
   3.680629873986298*^9, 3.6806301903363934`*^9}, {3.680630229670155*^9, 
   3.680630266048481*^9}, 3.6806326000221043`*^9, 3.680632794506528*^9, 
   3.68063547054248*^9, {3.680636140636402*^9, 3.680636152965412*^9}, {
   3.6807104256740103`*^9, 3.6807104323899593`*^9}, {3.680711382415257*^9, 
   3.680711394682267*^9}, {3.681135451511767*^9, 3.6811354993029623`*^9}, 
   3.681135530234044*^9, {3.681135569151723*^9, 3.6811355843028316`*^9}, {
   3.681135647257125*^9, 3.681135662151376*^9}}],

Cell[BoxData["4"], "Output",
 CellChangeTimes->{
  3.6805489322929173`*^9, 3.680549018830305*^9, {3.6805491314364777`*^9, 
   3.680549159260105*^9}, 3.680549203746276*^9, 3.680549242693771*^9, 
   3.680549280124385*^9, 3.6805493158344717`*^9, {3.680549392843987*^9, 
   3.68054944782524*^9}, 3.680549494830166*^9, {3.680549527388595*^9, 
   3.680549535530367*^9}, {3.680549821410941*^9, 3.68054982983399*^9}, 
   3.68054991917273*^9, 3.680549989907875*^9, 3.6805501923716803`*^9, 
   3.680550546027413*^9, 3.6805524142026253`*^9, 3.680552782353603*^9, {
   3.68055285772416*^9, 3.680552888879793*^9}, {3.680552935387225*^9, 
   3.680552948012363*^9}, 3.680629765122242*^9, {3.680629890717359*^9, 
   3.6806299895518293`*^9}, {3.68063003937538*^9, 3.680630067398609*^9}, {
   3.680630131517785*^9, 3.680630163110414*^9}, 3.6806301933829803`*^9, 
   3.680630249029933*^9, 3.680630311346678*^9, {3.680632780304694*^9, 
   3.680632798152553*^9}, 3.680638596879138*^9, 3.680711344447381*^9, 
   3.680711407530903*^9, {3.681135505621326*^9, 3.681135532110009*^9}, {
   3.6811355732102003`*^9, 3.681135586703238*^9}, 3.6811356650868196`*^9}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{
  3.6805489322929173`*^9, 3.680549018830305*^9, {3.6805491314364777`*^9, 
   3.680549159260105*^9}, 3.680549203746276*^9, 3.680549242693771*^9, 
   3.680549280124385*^9, 3.6805493158344717`*^9, {3.680549392843987*^9, 
   3.68054944782524*^9}, 3.680549494830166*^9, {3.680549527388595*^9, 
   3.680549535530367*^9}, {3.680549821410941*^9, 3.68054982983399*^9}, 
   3.68054991917273*^9, 3.680549989907875*^9, 3.6805501923716803`*^9, 
   3.680550546027413*^9, 3.6805524142026253`*^9, 3.680552782353603*^9, {
   3.68055285772416*^9, 3.680552888879793*^9}, {3.680552935387225*^9, 
   3.680552948012363*^9}, 3.680629765122242*^9, {3.680629890717359*^9, 
   3.6806299895518293`*^9}, {3.68063003937538*^9, 3.680630067398609*^9}, {
   3.680630131517785*^9, 3.680630163110414*^9}, 3.6806301933829803`*^9, 
   3.680630249029933*^9, 3.680630311346678*^9, {3.680632780304694*^9, 
   3.680632798152553*^9}, 3.680638596879138*^9, 3.680711344447381*^9, 
   3.680711407530903*^9, {3.681135505621326*^9, 3.681135532110009*^9}, {
   3.6811355732102003`*^9, 3.681135586703238*^9}, 3.681135665088209*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`k$$ = 4, $CellContext`t$$ = 
    29.354681968688965`, $CellContext`\[Omega]$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`k$$], 4, 
       Style["                  Wave Number  k =", 13]}, -10, 10, 0.1}, {
      Hold[
       Row[{
         Manipulate`Place[1], 
         Spacer[5], 
         Style[
          Dynamic[$CellContext`k$$], 13]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Omega]$$], 1, 
       Style["          Angular Frequency  \[Omega] =", 13]}, -10, 10, 0.1}, {
     
      Hold[
       Row[{
         Manipulate`Place[2], 
         Spacer[5], 
         Style[
          Dynamic[$CellContext`\[Omega]$$], 13]}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`t$$], 1, 
       Style["                                 time t = ", 13]}, 0, 30, Slider[
       SlotSequence[1], Appearance -> "Labeled"]& }, {{
       Hold[$CellContext`t$$], 1, ""}, 0, 30, Animator[
       SlotSequence[1], AnimationRunning -> True, AnimationRate -> 2, 
       AppearanceElements -> {"PlayPauseButton"}]& }, {
      Hold[
       Row[{
         Manipulate`Place[3], 
         Manipulate`Place[4]}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {576., {64., 69.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`k$63260$$ = 0, $CellContext`\[Omega]$63261$$ = 
    0, $CellContext`t$63262$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`k$$ = 4, $CellContext`t$$ = 
        1, $CellContext`\[Omega]$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`k$$, $CellContext`k$63260$$, 0], 
        Hold[$CellContext`\[Omega]$$, $CellContext`\[Omega]$63261$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$63262$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Sin[$CellContext`k$$ $CellContext`x - $CellContext`\[Omega]$$ \
$CellContext`t$$], {$CellContext`x, (-4) Pi, 4 Pi}, 
        PlotRange -> {{-10, 10}, {-1.5, 1.5}}, PlotPoints -> 100, AspectRatio -> 
        1/5, ImageSize -> Large, 
        AxesLabel -> {$CellContext`x, $CellContext`y}], 
      "Specifications" :> {{{$CellContext`k$$, 4, 
          Style["                  Wave Number  k =", 13]}, -10, 10, 0.1, 
         ControlPlacement -> 1}, 
        Row[{
          Manipulate`Place[1], 
          Spacer[5], 
          Style[
           Dynamic[$CellContext`k$$], 13]}], {{$CellContext`\[Omega]$$, 1, 
          Style["          Angular Frequency  \[Omega] =", 13]}, -10, 10, 0.1,
          ControlPlacement -> 2}, 
        Row[{
          Manipulate`Place[2], 
          Spacer[5], 
          Style[
           Dynamic[$CellContext`\[Omega]$$], 13]}], {{$CellContext`t$$, 1, 
          Style["                                 time t = ", 13]}, 0, 30, 
         Slider[
          SlotSequence[1], Appearance -> "Labeled"]& , ControlPlacement -> 
         3}, {{$CellContext`t$$, 1, ""}, 0, 30, Animator[
          SlotSequence[1], AnimationRunning -> True, AnimationRate -> 2, 
          AppearanceElements -> {"PlayPauseButton"}]& , ControlPlacement -> 
         4}, 
        Row[{
          Manipulate`Place[3], 
          Manipulate`Place[4]}]}, "Options" :> {ContentSize -> {600, 160}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{614., {140., 145.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`k$$ = 4, $CellContext`\[Omega]$$ = 1}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6805489322929173`*^9, 3.680549018830305*^9, {3.6805491314364777`*^9, 
   3.680549159260105*^9}, 3.680549203746276*^9, 3.680549242693771*^9, 
   3.680549280124385*^9, 3.6805493158344717`*^9, {3.680549392843987*^9, 
   3.68054944782524*^9}, 3.680549494830166*^9, {3.680549527388595*^9, 
   3.680549535530367*^9}, {3.680549821410941*^9, 3.68054982983399*^9}, 
   3.68054991917273*^9, 3.680549989907875*^9, 3.6805501923716803`*^9, 
   3.680550546027413*^9, 3.6805524142026253`*^9, 3.680552782353603*^9, {
   3.68055285772416*^9, 3.680552888879793*^9}, {3.680552935387225*^9, 
   3.680552948012363*^9}, 3.680629765122242*^9, {3.680629890717359*^9, 
   3.6806299895518293`*^9}, {3.68063003937538*^9, 3.680630067398609*^9}, {
   3.680630131517785*^9, 3.680630163110414*^9}, 3.6806301933829803`*^9, 
   3.680630249029933*^9, 3.680630311346678*^9, {3.680632780304694*^9, 
   3.680632798152553*^9}, 3.680638596879138*^9, 3.680711344447381*^9, 
   3.680711407530903*^9, {3.681135505621326*^9, 3.681135532110009*^9}, {
   3.6811355732102003`*^9, 3.681135586703238*^9}, 3.681135665188651*^9}]
}, {4}]],

Cell[TextData[{
 "Animation of a traveling plane wave:  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", "(", 
     RowBox[{"x", ",", "t"}], ")"}], "=", 
    RowBox[{"Sin", "[", 
     RowBox[{"kx", "-", "\[Omega]t"}], "]"}]}], TraditionalForm]]],
 "\n\n",
 StyleBox["Directions:",
  FontColor->GrayLevel[0]]
}], "Text",
 CellChangeTimes->{{3.680635554018609*^9, 3.680635598654377*^9}, {
   3.680635629586314*^9, 3.680635631729664*^9}, {3.680635823276353*^9, 
   3.6806358516642447`*^9}, 3.6806360070644217`*^9, 3.6806362691470633`*^9, 
   3.6806363351425323`*^9}],

Cell[CellGroupData[{

Cell["\<\
Move sliders to adjust the frequency and spatial wave number (note:  0 is in \
the center).  The sliders allow negative values of k and \[Omega].\
\>", "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.6806359862311*^9}}],

Cell["\<\
Click the \[OpenCurlyDoubleQuote]+\[OpenCurlyDoubleQuote] at the end of a \
given slider to enter exact values.\
\>", "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.680635912982881*^9}, {
  3.680636094137185*^9, 3.6806361015756893`*^9}, {3.68113530336382*^9, 
  3.6811353038540297`*^9}}],

Cell["\<\
Press play by the time slider to animate if it doesn\[CloseCurlyQuote]t start \
automatically\
\>", "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.680635912982881*^9}, {
  3.680636094137185*^9, 3.6806361015756893`*^9}, {3.68113530336382*^9, 
  3.681135317160149*^9}}],

Cell["\<\
Pressing pause allows you to drag the time slider forward and backward in time\
\>", "Item",
 CellChangeTimes->{{3.680635882917671*^9, 3.680635912982881*^9}, {
  3.680636094137185*^9, 3.6806361015756893`*^9}, {3.68113530336382*^9, 
  3.681135324182728*^9}}]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.680635527392137*^9}]
}, Open  ]]
},
WindowSize->{873, 676},
WindowMargins->{{199, Automatic}, {Automatic, 295}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 101, 1, 80, "Section"],
Cell[CellGroupData[{
Cell[705, 27, 6273, 144, 335, "Input"],
Cell[6981, 173, 1134, 16, 28, "Output"],
Cell[8118, 191, 1132, 16, 28, "Output"],
Cell[9253, 209, 5363, 111, 302, "Output"]
}, {4}]],
Cell[14628, 323, 572, 16, 70, "Text"],
Cell[CellGroupData[{
Cell[15225, 343, 233, 4, 45, "Item"],
Cell[15461, 349, 302, 6, 28, "Item"],
Cell[15766, 357, 282, 6, 28, "Item"],
Cell[16051, 365, 267, 5, 28, "Item"]
}, Open  ]],
Cell[16333, 373, 87, 1, 46, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
